> For the complete documentation index, see [llms.txt](https://encrisoft.gitbook.io/alerta/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://encrisoft.gitbook.io/alerta/reference/api-reference/reply-a-message.md).

# Reply a message

<mark style="color:green;">`POST`</mark> `https://api.usealerta.com/v1/reply`

reply to a previously sent message. Ensure to set your header to `secretKey: secret xxx`

[<mark style="color:orange;">**NOTE: Please ensure to add @Alerta to the required channel**</mark>](#user-content-fn-1)[^1] <mark style="color:orange;">**by mentioning it in the channel**</mark>

***example: In the channel, Type "@Alerta" and press enter***

#### Request Body

| Name                                         | Type   | Description                          |
| -------------------------------------------- | ------ | ------------------------------------ |
| channelId<mark style="color:red;">\*</mark>  | string | The channel ID                       |
| threadId<mark style="color:red;">\*</mark>   | string | The thread ID                        |
| channelRef<mark style="color:red;">\*</mark> | string | The reference of the channel         |
| message<mark style="color:red;">\*</mark>    | string | The `message` you want to reply with |

{% tabs %}
{% tab title="200 Message sent successfully" %}

```javascript
{
    "statusCode": 200,
    "message": "Reply sent successfully",
    "data": "None"
}
```

{% endtab %}

{% tab title="403 Forbidden request" %}

```json
{
    "statusCode": 403,
    "message": "Invalid API key",
    "error": "Forbidden"
}
```

{% endtab %}
{% endtabs %}

[^1]:


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://encrisoft.gitbook.io/alerta/reference/api-reference/reply-a-message.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
